# $Revision: 1.30 $, $Date: 2009/08/27 07:39:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	ScanDeps
Summary:	Module::ScanDeps - recursively scan Perl programs for dependencies
Summary(pl.UTF-8):	Module::ScanDeps - rekurencyjne wyszukiwanie zależności programów perlowych
Name:		perl-Module-ScanDeps
Version:	0.94
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6c2086e221206d5bcf538208d8b0a51f
URL:		http://search.cpan.org/dist/Module-ScanDeps/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An application of Module::ScanDeps is to generate executables from
scripts that contains necessary modules; this module supports two such
projects, PAR and App::Packer.  Please see their respective
documentations on CPAN for further information.

%description -l pl.UTF-8
Zastosowanie Module::ScanDeps to generowanie ze skryptów plików
wykonywalnych zawierających wszelkie potrzebne skryptowi moduły.  Ten
moduł wspiera dwa takie projekty: PAR i App::Packer. Więcej informacji
można znaleźć w ich dokumentacji w CPAN.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README AUTHORS
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%attr(755,root,root)%{_bindir}/scandeps.pl
%{_mandir}/man3/*
%{_mandir}/man1/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-ScanDeps.spec,v $
Revision 1.30  2009/08/27 07:39:00  amateja
- updated to 0.94

Revision 1.29  2008/12/13 18:25:04  qboosh
- generic URL

Revision 1.28  2008/12/11 13:38:43  radek
- version 0.89

Revision 1.27  2008/07/27 22:43:55  arekm
- release 2

Revision 1.26  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.24  2006/02/26 22:55:49  agaran
- up to 0.56 rel 1

Revision 1.23  2005/01/09 14:55:38  adamg
- updated to 0.51

Revision 1.22  2004/12/01 17:58:45  radek
- autoupdated to 0.50

Revision 1.21  2004/11/03 22:30:35  paladine
- formatting

Revision 1.20  2004/09/05 20:23:15  adamg
- updated to 0.47

Revision 1.19  2004/08/08 19:03:19  adamg
- updated to 0.46

Revision 1.18  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.17  2004/06/03 10:29:51  adamg
- updated to 0.43

Revision 1.16  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/02 07:02:21  adamg
- updated to 0.42

Revision 1.14  2004/04/24 14:52:16  ankry
- license fixes / unification

Revision 1.13  2004/04/19 07:07:06  adamg
- updated to 0.41

Revision 1.12  2004/04/14 21:16:32  ankry
- cosmetics, unification

Revision 1.11  2004/03/07 11:09:20  adamg
- updated to 0.40

Revision 1.10  2004/02/16 22:26:40  adamg
- updated to 0.39

Revision 1.9  2004/01/24 23:24:39  arekm
- autoupdated to 0.38

Revision 1.8  2004/01/06 22:22:55  migo
- up to 0.37, license cosmetics

Revision 1.7  2003/10/28 19:02:35  migo
- up to 0.32
- new bcond style

Revision 1.6  2003/09/27 21:03:03  migo
- fixes in description

Revision 1.5  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.4  2003/09/25 21:33:07  migo
- up to 0.30

Revision 1.3  2003/09/21 21:49:02  adamg
- updated to 0.29

Revision 1.2  2003/09/08 20:58:09  ankry
- md5

Revision 1.1  2003/09/08 19:05:50  migo
- initial revision
